---
title: "Create User Tracking Code Assignment"
slug: "create-user-tracking-code-assignment"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/create-user-tracking-code-assignment"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User Tracking Code Assignment

Post/po-rest-api/rest/1/poUserIdCrossRef

**Create User Tracking Code Assignment**

**UI Location**: Asset Management - Purchase Order- Setup -Local Tables - User ID Cross-Reference

postman-to-openapi

**Body Parameters** The POST request creates and/or sets up the requesters, buyers and approvers to be used within the Purchase Order and Requisitions based on the provided payload. The payload includes various fields, such as EmpCompCode, EmpTrackingCode, EmpUserName, EmpUserID, EmpAccessCode, EmpConfirmAccessCode and EmpMandatoryApprover each representing different attributes of the users assigned tracking codes.

**Request Body**

| Field | Description | Data Type | Required | Example Value |
| --- | --- | --- | --- | --- |
| EmpCompCode | Company Code | string | True | ADAM1 |
| EmpTrackingCode | Tracking code is an internal code that will be used by the system to track and maintain the approvers, buyers and requestors. | string | True | ADAM1 |
| EmpUserName | Name of the user that is being defined. | string | False | ADAM |
| EmpUserID | User ID | string | True | ADAM1 |
| EmpAccessCode | Access Code | string | Required when the mandatory approver flag (EmpMandatoryApprover) is set to 'Y' | adamapass |
| EmpConfirmAccessCode | Confirm AccessCode | string | Required when the mandatory approver flag (EmpMandatoryApprover) is set to 'Y' | adamapass |
| EmpMandatoryApprover | A Y/N flag indicating whether the user must approve the purchase order, regardless of other assigned approvers. | string | False | N |

**Sample Response Body**

```json
{
    "items": [
        {
            "EmpCompCode": "",
            "EmpTrackingCode": "",
            "EmpUserName": "",
            "EmpUserID": "",
            "EmpAccessCode": "*******************",
            "EmpConfirmAccessCode": "*******************",
            "EmpMandatoryApprover": "",
            "EmpVUuid": "",
            "links": [
                {
                    "rel": "",
                    "href": "",
                    "name": "",
                    "kind": ""
                }
            ]
        }
    ]
}
```

SecurityHTTPType basic

Basic authentication

Header parametersContent-TypestringExampleapplication/vnd.oracle.adf.resourceItem+json

Body parameters<select class='api-response-data' aria-label='Media type'><option value='d39a59c4-bdb9-4a0b-8151-d6fe4c3980be'>application/json</option>
</select>object  Example{
  "EmpCompCode": "ZZ",
  "EmpTrackingCode": "Adam20",
  "EmpUserName": "ADAM20",
  "EmpUserID": "Adam20",
  "EmpAccessCode": "Adampass",
  "EmpConfirmAccessCode": "Adampass",
  "EmpMandatoryApprover": "Y"
}

Responses201

Created

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourceitem+json
<select class='api-response-data' aria-label='Media type'><option value='810d0eee-dc1f-4736-8a99-48d440307a49'>text/plain</option>
</select>

```
"{\n    \"EmpCompCode\": \"ZZ\",\n    \"EmpTrackingCode\": \"Adam1\",\n    \"EmpUserName\": \"Adam\",\n    \"EmpUserID\": \"Adam1\",\n    \"EmpAccessCode\": \" *******************\",\n    \"EmpConfirmAccessCode\": \" *******************\",\n    \"EmpMandatoryApprover\": \"N\",\n    \"EmpVUuid\": \"3B548FEC2A4D97D5E0630B811DACE03B\",\n    \"links\": [\n        {\n            \"rel\": \"self\",\n            \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poUserIdCrossRef/3B548FEC2A4D97D5E0630B811DACE03B\",\n            \"name\": \"poUserIdCrossRef\",\n            \"kind\": \"item\"\n        },\n        {\n            \"rel\": \"canonical\",\n            \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poUserIdCrossRef/3B548FEC2A4D97D5E0630B811DACE03B\",\n            \"name\": \"poUserIdCrossRef\",\n            \"kind\": \"item\"\n        }\n    ]\n}"
```

string
